﻿Imports Microsoft.VisualBasic

Public Class PHVDBSiteMap
    Inherits StaticSiteMapProvider

    Private _connectionStringName As String
    Public Overrides Sub Initialize(ByVal name As String, ByVal attributes As System.Collections.Specialized.NameValueCollection)
        MyBase.Initialize(name, attributes)
        _connectionStringName = attributes("connectionStringName")
        'stuff
    End Sub

    Dim smnRoot As SiteMapNode
    Dim lockObject As Object = New Object
    Public Overrides Function BuildSiteMap() As System.Web.SiteMapNode
        Dim smnItem As SiteMapNode
        Dim smnMenuHeader As SiteMapNode

        SyncLock lockObject
            If smnRoot Is Nothing OrElse _
               HttpContext.Current.Application("Rebuild") = "True" Then
                MyBase.Clear()
                smnRoot = New SiteMapNode(Me, "Home", "~/Default.aspx", "Home")

                AddNode(smnRoot)

                smnMenuHeader = New SiteMapNode(Me, "Customers", Nothing, "Customers")
                AddNode(smnMenuHeader, smnRoot)

                smnItem = New SiteMapNode(Me, "CustomerOrders", "~/Orders.aspx", "Customer Orders")
                AddNode(smnItem, smnMenuHeader)

                smnItem = New SiteMapNode(Me, "CustomerList", "~/CustomerList.aspx", "CustomerList")
                AddNode(smnItem, smnMenuHeader)
            End If
        End SyncLock
        Return smnRoot
    End Function

    Protected Overrides Function GetRootNodeCore() As System.Web.SiteMapNode
        Return smnRoot
    End Function
End Class
